Bug 1256517 - --ipa doesn't count as enabling gssapi plugin
Summary: --ipa doesn't count as enabling gssapi plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipsilon
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-24 19:57 UTC by Nathan Kinder
Modified: 2015-11-19 10:50 UTC (History)
3 users (show)

Fixed In Version: ipsilon-1.0.0-8.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 10:50:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:2319 0 normal SHIPPED_LIVE new packages: ipsilon 2015-11-19 10:06:13 UTC

Description Nathan Kinder 2015-08-24 19:57:00 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/ipsilon/ticket/152

Ran this cli

 # ipsilon-server-install --ipa=yes --info-sssd=yes

Got this error:

No login plugins are enabled.

Comment 2 Rob Crittenden 2015-08-25 18:47:53 UTC
Fixed upstream.

master: 715fa96eb2f97451749d3e66b801bdefe861b16e

Comment 5 Scott Poore 2015-10-14 15:22:57 UTC
Verified.

Version ::

ipsilon-1.0.0-12.el7.noarch

Results ::

[root@rhel7-2 ~]# kinit admin
Password for admin@EXAMPLE.COM: 
[root@rhel7-2 ~]# ipsilon-server-install --ipa=yes --info-sssd=yes
Installation initiated
Installing default config files
Configuring environment helpers
Searching for keytab in: /etc/httpd/conf/http.keytab... Not found!
Searching for keytab in: /etc/httpd/conf/ipa.keytab... Not found!
ipa: INFO: trying https://rhel7-1.example.com/ipa/json
ipa: INFO: Forwarding 'ping' to json server 'https://rhel7-1.example.com/ipa/json'
ipa: INFO: Forwarding 'service_add' to json server 'https://rhel7-1.example.com/ipa/json'
Trying to fetch keytab[/etc/httpd/conf/http.keytab] for HTTP/rhel7-2.example.com@EXAMPLE.COM
Configuring login managers
Configuring Info provider
Configured SSSD domain example.com
Redirecting to /bin/systemctl restart  sssd.service
Configuring Authentication Providers
Generating a 2048 bit RSA private key
...........+++
.......................................................+++
writing new private key to '/var/lib/ipsilon/idp/saml2/idp.key'
-----
Installation complete.
Please restart HTTPD to enable the IdP instance.
[root@rhel7-2 ~]#

Comment 6 Scott Poore 2015-10-14 16:58:31 UTC
FYI, I did also connect via gssapi to confirm this was actually working.

Comment 7 errata-xmlrpc 2015-11-19 10:50:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-2319.html


Note You need to log in before you can comment on or make changes to this bug.